# Preflibtools

[![PyPI Status](https://img.shields.io/pypi/v/preflibtools.svg)](https://pypi.python.org/pypi/preflibtools)
[![Build badge](https://github.com/PrefLib/preflibtools/workflows/build/badge.svg?branch=main)](https://github.com/PrefLib/preflibtools/actions?query=workflow%3Abuild)
[![codecov](https://codecov.io/gh/PrefLib/preflibtools/branch/main/graphs/badge.svg)](https://codecov.io/gh/PrefLib/preflibtools/tree/main)

## Overview

The PrefLib-Tools is a set of Python tools developed to work with preference data from the
[PrefLib.org website](https://www.preflib.org/).

This package provides input and output operations on PrefLib instances, together with some additional functionalities
on the instances: Testing whether a Condorcet winner exists, whether the instance is single-peaked, etc...

We developed this package in the hope of making the use of PrefLib instances easy. This has been done in the same
spirit as PrefLib: Providing tools for the community with the help of the community. If you want to contribute, feel
free to create pull requests. If you have a question, a remark, or encounter a problem, please open an issue, create a
pull request etc...

The full documentation of the package can be found there: https://preflib.github.io/preflibtools/.

If, for some reasons, you are looking for the older version of the PrefLib-Tools, it is still available in the GitHub
repository [Preflib-Tools-Old](https://github.com/PrefLib/Preflib-Tools-Old).

## Installation

The installation is as easy as:

```shell
pip3 install preflibtools
```

## Documentation

The complete documentation is available [here](https://preflib.github.io/preflibtools/).
